<?php
/**
 * Modern Art Gallery functions and definitions
 * @package Modern Art Gallery
 */

if ( ! function_exists( 'modern_art_gallery_after_theme_support' ) ) :

	function modern_art_gallery_after_theme_support() {
		
		add_theme_support( 'automatic-feed-links' );

		add_theme_support(
			'custom-background',
			array(
				'default-color' => 'ffffff',
			)
		);

		$GLOBALS['content_width'] = apply_filters( 'modern_art_gallery_content_width', 1140 );
		
		add_theme_support( 'post-thumbnails' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 270,
				'width'       => 90,
				'flex-height' => true,
				'flex-width'  => true,
			)
		);
		
		add_theme_support( 'title-tag' );

        load_theme_textdomain( 'modern-art-gallery', get_template_directory() . '/languages' );

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'script',
				'style',
			)
		);

		add_theme_support( 'post-formats', array(
		    'video',
		    'audio',
		    'gallery',
		    'quote',
		    'image'
		) );
		
		add_theme_support( 'align-wide' );
		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'wp-block-styles' );

		require get_template_directory() . '/inc/customizer/customizer.php';
		require get_template_directory() . '/inc/metabox.php';
		require get_template_directory() . '/inc/homepage-setup/homepage-setup-settings.php';

		if (! defined( 'MODERN_ART_GALLERY_DOCS_PRO' ) ){
			define('MODERN_ART_GALLERY_DOCS_PRO',__('https://layout.omegathemes.com/steps/agriculture-farm-pro/','modern-art-gallery'));
		}
		if (! defined( 'MODERN_ART_GALLERY_BUY_NOW' ) ){
			define('MODERN_ART_GALLERY_BUY_NOW',__('https://www.omegathemes.com/products/art-gallery-wordpress-theme','modern-art-gallery'));
		}
		if (! defined( 'MODERN_ART_GALLERY_SUPPORT_FREE' ) ){
			define('MODERN_ART_GALLERY_SUPPORT_FREE',__('https://wordpress.org/support/theme/modern-art-gallery/','modern-art-gallery'));
		}
		if (! defined( 'MODERN_ART_GALLERY_REVIEW_FREE' ) ){
			define('MODERN_ART_GALLERY_REVIEW_FREE',__('https://wordpress.org/support/theme/modern-art-gallery/reviews/#new-post/','modern-art-gallery'));
		}
		if (! defined( 'MODERN_ART_GALLERY_DEMO_PRO' ) ){
			define('MODERN_ART_GALLERY_DEMO_PRO',__('https://layout.omegathemes.com/modern-art-gallery/','modern-art-gallery'));
		}
		if (! defined('MODERN_ART_GALLERY_LITE_DOCS_PRO') ){
			define('MODERN_ART_GALLERY_LITE_DOCS_PRO',__('https://layout.omegathemes.com/steps/free-modern-art-gallery/','modern-art-gallery'));
		}
		if (! defined('MODERN_ART_GALLERY_BUNDLE_BUTTON') ){
			define('MODERN_ART_GALLERY_BUNDLE_BUTTON',__('https://www.omegathemes.com/products/wp-theme-bundle','modern-art-gallery'));
		}

	}

endif;

add_action( 'after_setup_theme', 'modern_art_gallery_after_theme_support' );

/**
 * Register and Enqueue Styles.
 */
function modern_art_gallery_register_styles() {

	wp_enqueue_style( 'dashicons' );

    $modern_art_gallery_theme_version = wp_get_theme()->get( 'Version' );
	$modern_art_gallery_fonts_url = modern_art_gallery_fonts_url();
    if( $modern_art_gallery_fonts_url ){
    	require get_theme_file_path( 'lib/custom/css/wptt-webfont-loader.php' );
        wp_enqueue_style(
			'modern-art-gallery-google-fonts',
			modern_art_gallery_wptt_get_webfont_url( $modern_art_gallery_fonts_url ),
			array(),
			$modern_art_gallery_theme_version
		);
    }

    wp_enqueue_style( 'swiper', get_template_directory_uri() . '/lib/swiper/css/swiper-bundle.min.css');
    wp_enqueue_style( 'owl.carousel', get_template_directory_uri() . '/lib/custom/css/owl.carousel.min.css');
	wp_enqueue_style( 'modern-art-gallery-style', get_stylesheet_uri(), array(), $modern_art_gallery_theme_version );

	wp_enqueue_style( 'modern-art-gallery-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom_css.php' );
	wp_add_inline_style( 'modern-art-gallery-style',$modern_art_gallery_custom_css );

	$modern_art_gallery_css = '';

	if ( get_header_image() ) :

		$modern_art_gallery_css .=  '
			.header-navbar{
				background-image: url('.esc_url(get_header_image()).');
				-webkit-background-size: cover !important;
				-moz-background-size: cover !important;
				-o-background-size: cover !important;
				background-size: cover !important;
			}';

	endif;

	wp_add_inline_style( 'modern-art-gallery-style', $modern_art_gallery_css );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	

	wp_enqueue_script( 'imagesloaded' );
    wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'swiper', get_template_directory_uri() . '/lib/swiper/js/swiper-bundle.min.js', array('jquery'), '', 1);
	wp_enqueue_script( 'modern-art-gallery-custom', get_template_directory_uri() . '/lib/custom/js/theme-custom-script.js', array('jquery'), '', 1);
	wp_enqueue_script( 'owl.carousel', get_template_directory_uri() . '/lib/custom/js/owl.carousel.js', array('jquery'), '', 1);

    // Global Query
    if( is_front_page() ){

    	$modern_art_gallery_posts_per_page = absint( get_option('posts_per_page') );
        $modern_art_gallery_c_paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
        $modern_art_gallery_posts_args = array(
            'posts_per_page'        => $modern_art_gallery_posts_per_page,
            'paged'                 => $modern_art_gallery_c_paged,
        );
        $posts_qry = new WP_Query( $modern_art_gallery_posts_args );
        $max = $posts_qry->max_num_pages;

    }else{
        global $wp_query;
        $max = $wp_query->max_num_pages;
        $modern_art_gallery_c_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
    }

    $modern_art_gallery_default = modern_art_gallery_get_default_theme_options();
    $modern_art_gallery_pagination_layout = get_theme_mod( 'modern_art_gallery_pagination_layout',$modern_art_gallery_default['modern_art_gallery_pagination_layout'] );
}

add_action( 'wp_enqueue_scripts', 'modern_art_gallery_register_styles',200 );

function modern_art_gallery_admin_enqueue_scripts_callback() {
    if ( ! did_action( 'wp_enqueue_media' ) ) {
    wp_enqueue_media();
    }
    wp_enqueue_script('modern-art-gallery-uploaderjs', get_stylesheet_directory_uri() . '/lib/custom/js/uploader.js', array(), "1.0", true);
}
add_action( 'admin_enqueue_scripts', 'modern_art_gallery_admin_enqueue_scripts_callback' );

/**
 * Register navigation menus uses wp_nav_menu in five places.
 */
function modern_art_gallery_menus() {

	$modern_art_gallery_locations = array(
		'modern-art-gallery-primary-menu'  => esc_html__( 'Primary Menu', 'modern-art-gallery' ),
	);

	register_nav_menus( $modern_art_gallery_locations );
}

add_action( 'init', 'modern_art_gallery_menus' );

add_filter('loop_shop_columns', 'modern_art_gallery_loop_columns');
if (!function_exists('modern_art_gallery_loop_columns')) {
	function modern_art_gallery_loop_columns() {
		$modern_art_gallery_columns = get_theme_mod( 'modern_art_gallery_per_columns', 3 );
		return $modern_art_gallery_columns;
	}
}

add_filter( 'loop_shop_per_page', 'modern_art_gallery_per_page', 20 );
function modern_art_gallery_per_page( $modern_art_gallery_cols ) {
  	$modern_art_gallery_cols = get_theme_mod( 'modern_art_gallery_product_per_page', 9 );
	return $modern_art_gallery_cols;
}

function modern_art_gallery_products_args( $modern_art_gallery_args ) {

    $modern_art_gallery_args['posts_per_page'] = get_theme_mod( 'modern_art_gallery_custom_related_products_number', 6 );

    $modern_art_gallery_args['columns'] = get_theme_mod( 'modern_art_gallery_custom_related_products_number_per_row', 3 );

    return $modern_art_gallery_args;
}

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/classes/class-svg-icons.php';
require get_template_directory() . '/classes/class-walker-menu.php';
require get_template_directory() . '/inc/custom-functions.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/classes/body-classes.php';
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/lib/breadcrumbs/breadcrumbs.php';
require get_template_directory() . '/lib/custom/css/dynamic-style.php';

function modern_art_gallery_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'display_header_text' );
    $wp_customize->remove_control( 'display_header_text' );

}

add_action( 'customize_register', 'modern_art_gallery_remove_customize_register', 11 );

function modern_art_gallery_radio_sanitize(  $modern_art_gallery_input, $modern_art_gallery_setting  ) {
	$modern_art_gallery_input = sanitize_key( $modern_art_gallery_input );
	$modern_art_gallery_choices = $modern_art_gallery_setting->manager->get_control( $modern_art_gallery_setting->id )->choices;
	return ( array_key_exists( $modern_art_gallery_input, $modern_art_gallery_choices ) ? $modern_art_gallery_input : $modern_art_gallery_setting->default );
}
require get_template_directory() . '/inc/general.php';

function modern_art_gallery_sticky_sidebar_enabled() {
	$modern_art_gallery_sticky_sidebar = get_theme_mod('modern_art_gallery_sticky_sidebar', true);
	if($modern_art_gallery_sticky_sidebar == false) {
		echo '<style>.widget-area-wrapper {position: relative !important;}</style>';
	}
}

add_action('wp_head', 'modern_art_gallery_sticky_sidebar_enabled');

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

// NOTICE FUNCTION

function modern_art_gallery_admin_notice() { 
    global $pagenow;
    $theme_args = wp_get_theme();
    $meta = get_option( 'modern_art_gallery_admin_notice' );
    $name = $theme_args->get( 'Name' );
    $current_screen = get_current_screen();

    if ( ! $meta ) {
        if ( is_network_admin() ) {
            return;
        }

        if ( ! current_user_can( 'manage_options' ) ) {
            return;
        }

        if ( $current_screen->base != 'appearance_page_modernartgallery-wizard' ) {
            ?>
            <div class="notice notice-success notice-content">
                <h2><?php esc_html_e('Welcome! Thank you for choosing Modern Art Gallery. Let’s Set Up Your Website!', 'modern-art-gallery') ?> </h2>
                <p><?php esc_html_e('Before you dive into customization, let’s go through a quick setup process to ensure everything runs smoothly. Click below to start setting up your website in minutes!', 'modern-art-gallery') ?> </p>
                <div class="info-link">
                    <a href="<?php echo esc_url( admin_url( 'themes.php?page=modernartgallery-wizard' ) ); ?>"><?php esc_html_e('Get Started with Modern Art Gallery', 'modern-art-gallery'); ?></a>
					<a target="_blank" href="<?php echo esc_url( MODERN_ART_GALLERY_BUNDLE_BUTTON ); ?>" class="notice-bundle"><?php esc_html_e('Get All WP Themes', 'modern-art-gallery'); ?></a>
                </div>
                <p class="dismiss-link"><strong><a href="?modern_art_gallery_admin_notice=1"><?php esc_html_e( 'Dismiss', 'modern-art-gallery' ); ?></a></strong></p>
            </div>
            <?php
        }
    }
}
add_action( 'admin_notices', 'modern_art_gallery_admin_notice' );

if ( ! function_exists( 'modern_art_gallery_update_admin_notice' ) ) :
/**
 * Updating admin notice on dismiss
 */
function modern_art_gallery_update_admin_notice() {
    if ( isset( $_GET['modern_art_gallery_admin_notice'] ) && $_GET['modern_art_gallery_admin_notice'] == '1' ) {
        update_option( 'modern_art_gallery_admin_notice', true );
    }
}
endif;
add_action( 'admin_init', 'modern_art_gallery_update_admin_notice' );

// After Switch theme function
add_action( 'after_switch_theme', 'modern_art_gallery_getstart_setup_options' );
function modern_art_gallery_getstart_setup_options() {
    update_option( 'modern_art_gallery_admin_notice', false );
}